//
//  CustomMessage.h
//

#import <RongIMLibCore/RongIMLibCore.h>

NS_ASSUME_NONNULL_BEGIN

@interface CustomMessage : RCMessageContent <NSCoding>

// 礼物名称
@property (nonatomic, strong) NSString *giftName;
// 礼物数量
@property (nonatomic, assign) int giftCount;

/*!
 初始化自定义消息

 @param content 文本内容
 @return        自定义消息对象
 */
+ (instancetype)messageWithGiftName:(NSString *)content GiftCount:(int) giftCount;
@end

NS_ASSUME_NONNULL_END
